关于cocoapods报错与安装

2016-11-21 19:02:29来源:CSDN作者:u013664733人点击

第七城市

cocoapods安装过程出现问题与解决
在终端中进行的操作
获取当前的版本
ruby -v

列出已知的ruby版本

rvm list known
更新gems
gem update —system

出现报错

ERROR: While executing gem … (Gem::FilePermissionError)
You don’t have write permissions for the /Library/Ruby/Gems/2.0.0 directory.
提示当前没有更新的权限

所以可以进行强制更新
sudo gem update -system

但是提示还是没有更新
Updating installed gems
Nothing to update

然后尝试用rvm语言进行尝试更新,还是失败
提示rvm的命令行无效
-bash: rvm: command not found

所以先尝试整理好rvm,让其能跑起来
rm -rf ~/.rvm
curl -L https://get.rvm.io | bash -s stable

但是执行完上面的程序后,如果当前没有生效,记得关闭终端terminal,然后再次重新打开输入。
测试一下能否安装2.3的版本
rvm install 2.3

此时可以通过gem语句命令进行安装更新了
这次升级到最新版本
gem update –system

安装cocoapods
gem install cocoapods

对其进行设置
pod setup

发现都是红色报错
[!] /usr/bin/git clone https://github.com/CocoaPods/Specs.git master
Cloning into ‘master’…
error: RPC failed; curl 56 SSLRead() return error -36
fatal: The remote end hung up unexpectedly
fatal: early EOF
fatal: index-pack failed
此时,可以重新pod setup多进行几次,我的第二次时成功。
至此cocoapods安装成功。

2、此处关于介绍使用cocoapods

[!] No `Podfile’ found in the project directory.问题解决办法

情况一
如果Podfile不存在于对应项目的文件夹中
1.先进入相关的文件下面
cd /Users/username/Documents/Projects/Demo
2.得到必要的库信息后,现在需要在项目中建立Podfile文件
touch Podfile
3.在路径文件夹中找到Podfile(第一次有的时候会直接 弹出)编辑界面中输入下面内容:

例如:
platform :ios, ‘8.0’
use_frameworks!

source ‘https://github.com/CocoaPods/Specs.git’

target ‘RedishUserApp’ do
pod ‘Fabric’
pod ‘Crashlytics’
pod ‘Digits’
pod ‘TwitterCore’
pod ‘FBSDKCoreKit’
pod ‘FBSDKLoginKit’
pod ‘FBSDKShareKit’
pod ‘SVProgressHUD’
pod ‘XLPagerTabStrip’, ‘~> 5.1.0’
pod ‘AlamofireImage’, ‘~> 2.5.0’
pod ‘Firebase’
pod ‘Firebase/Core’
pod ‘Firebase/Messaging’
pod ‘Firebase/Auth’
pod ‘Firebase/Database’
pod ‘JSQMessagesViewController’
pod ‘SnapKit’, ‘~> 0.22.0’
pod ‘RedishUserAppCore’, :path => “MyFrameworks/RedishUserAppCore”
pod ‘AWSCognito’
pod ‘AWSMobileAnalytics’
pod ‘AWSSNS’
pod ‘BWWalkthrough’

end

target ‘RedishUserAppTests’ do

end

post_install do |installer|
installer.pods_project.targets.each do |target|
target.build_configurations.each do |config|
config.build_settings[‘SWIFT_VERSION’] = ‘2.3’
end
end
end

5.对它进行初始化
pod install

情况二
如果Podfile存在于对应项目的文件夹中
则进入对应的文件(cd cd /Users/rexceed/Desktop/20161113/restaurant-ios ),然后直接初始化pod install就可以了。

第七城市

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台